VehiclePhysics.Brakes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.gamedata
Class VehiclePhysics.Brakes

    java.lang.Object
      net.ctdp.rfdynhud.gamedata.VehiclePhysics.Brakes

Enclosing class:
  VehiclePhysics

    public static class VehiclePhysics.Brakes

extends java.lang.Object

Model of brake physics parameters.

Author:
  Marvin Froehlich (CTDP)

Nested Class Summary
`static class` | `VehiclePhysics.Brakes.WheelBrake` Brake settings for a single wheel.

Constructor Summary
`VehiclePhysics.Brakes()`

Method Summary
`VehiclePhysics.Brakes.WheelBrake` | `getBrake(Wheel wheel)` Gets the brake model of the given wheel.
`VehiclePhysics.PhysicsSetting` | `getPressureRange()` Gets the range for brake pressure values [0, 1].
`VehiclePhysics.PhysicsSetting` | `getRearDistributionRange()` Gets the range of possible brake distribution values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VehiclePhysics.Brakes

    public VehiclePhysics.Brakes()

Method Detail

### getRearDistributionRange

    public final VehiclePhysics.PhysicsSetting getRearDistributionRange()

  Gets the range of possible brake distribution values.

  Returns:
    the range of possible brake distribution values.

### getPressureRange

    public final VehiclePhysics.PhysicsSetting getPressureRange()

  Gets the range for brake pressure values [0, 1].

  Returns:
    the range for brake pressure values [0, 1].
  See Also:
    `VehicleSetup.Controls.getBrakePressure()`

### getBrake

    public final VehiclePhysics.Brakes.WheelBrake getBrake(Wheel wheel)

  Gets the brake model of the given wheel.

  Parameters:
    `wheel` - the requested wheel
  Returns:
    the brake model of the given wheel.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD